Public Member Functions | Public Attributes | List of all members
libetonyek::KEY1Dictionary::StyleContext Struct Reference

`#include <KEY1Dictionary.h>`

## Public Member Functions
| StyleContext ()
void | storeStyle (IWORKStylePtr_t style, bool definition)
| store a style More...
void | link (const StyleContext &parentContext)
| link all style to their parent More...

## Public Attributes
IWORKStylePtr_t | m_style
std::deque< IWORKStylePtr_t > | m_styles

## Constructor & Destructor Documentation

## ◆ StyleContext()

libetonyek::KEY1Dictionary::StyleContext::StyleContext | ( |  | ) |

## Member Function Documentation

## ◆ link()

void libetonyek::KEY1Dictionary::StyleContext::link | ( | const StyleContext & | parentContext | ) |

link all style to their parent

## ◆ storeStyle()

void libetonyek::KEY1Dictionary::StyleContext::storeStyle | ( | IWORKStylePtr_t | style,
|  | bool | definition
| ) |  |

store a style

Referenced by libetonyek::KEY1Dictionary::storeImageStyle(), libetonyek::KEY1Dictionary::storeLineStyle(), libetonyek::KEY1Dictionary::storeShapeStyle(), and libetonyek::KEY1Dictionary::storeTextboxStyle().

## Member Data Documentation

## ◆ m_style

IWORKStylePtr_t libetonyek::KEY1Dictionary::StyleContext::m_style

Referenced by link().

## ◆ m_styles

std::deque<IWORKStylePtr_t> libetonyek::KEY1Dictionary::StyleContext::m_styles

The documentation for this struct was generated from the following files:

- KEY1Dictionary.h
- KEY1Dictionary.cpp